Export manifest
1 min
GET
/_cms/v1/manifest
Query Parameters
- sectionsstring[]Description
- includeReadOnlybooleanDescriptionDefaultfalse
Responses
200
- ManifestDescription
- localesLocale[]Description
- keystringrequiredDescriptionMin Length1
- displayNamestringrequiredDescriptionMin Length1Max Length255
- isEnabledbooleanDescription
- routeSegmentstringrequiredDescriptionMin Length1Max Length255
- sortOrderinteger<int32>DescriptionFormatint32
- accessRightsSecurityIdentity[]Description
- namestringrequiredDescriptionMin Length1Max Length255
- typestring<user | role | application>DescriptionAlloweduserroleapplication
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>Formatdate-time
- lastModifiedBystringDescription
- propertyGroupsPropertyGroup[]Description
- keystringrequiredDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- sourcestringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>Formatdate-time
- lastModifiedBystringDescription
- contentTypesContentType[]Description
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- descriptionstringDescriptionMax Length255
- baseTypestringDescription
- isContractbooleanDescription
- sourcestringDescription
- sortOrderinteger<int32>DescriptionFormatint32
- mayContainTypesstring[]Description
- mediaFileExtensionsstring[]Description
- compositionBehaviorsstring[]Description
- contractsstring[]Description
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- propertiesmap<string, ContentTypeProperty>Description
- accessRightsSecurityIdentity[]Description
- namestringrequiredDescriptionMin Length1Max Length255
- typestring<user | role | application>DescriptionAlloweduserroleapplication
- displayTemplatesDisplayTemplate[]Description
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- nodeTypestringDescriptionMin Length2Max Length50Pattern^[A-Za-z][_0-9A-Za-z]+$
- baseTypestringDescription
- contentTypestringDescription
- isDefaultbooleanDescription
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
- settingsmap<string, DisplaySetting>Description
- lastModifiedstring<date-time>DescriptionFormatdate-time
401
403
500
curl
curl --request GET \
--url '/_cms/v1/manifest?includeReadOnly=boolean' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_cms/v1/manifest?includeReadOnly=boolean", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/manifest?includeReadOnly=boolean")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/manifest?includeReadOnly=boolean"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"locales": [
{
"key": "",
"displayName": "",
"isEnabled": false,
"routeSegment": "",
"sortOrder": "",
"accessRights": [
{
"name": "",
"type": ""
}
],
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": ""
}
],
"propertyGroups": [
{
"key": "",
"displayName": "",
"source": "",
"sortOrder": "",
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": ""
}
],
"contentTypes": [
{
"key": "",
"displayName": "",
"description": "",
"baseType": "",
"isContract": false,
"source": "",
"sortOrder": "",
"mayContainTypes": [
""
],
"mediaFileExtensions": [
""
],
"compositionBehaviors": [
""
],
"contracts": [
""
],
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": "",
"properties": "",
"accessRights": [
{
"name": "",
"type": ""
}
]
}
],
"displayTemplates": [
{
"key": "",
"displayName": "",
"nodeType": "",
"baseType": "",
"contentType": "",
"isDefault": false,
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": "",
"settings": ""
}
],
"lastModified": ""
}401
// Unauthorized
403
// Forbidden
500
// Internal Server Error